package org.implab.gradle.containers.tasks;

import java.io.IOException;

import org.gradle.api.provider.Property;
import org.gradle.api.tasks.Internal;
import org.gradle.api.tasks.TaskAction;

public abstract class ComposeRm extends ComposeStop {
    
    @Internal
    public abstract Property<Boolean> getRemoveVolumes();

    public ComposeRm() {
        getRemoveVolumes().convention(true);
    }

    @TaskAction
    public void run() throws InterruptedException, IOException {
        docker().composeRm(getComposeFile().get().getAsFile(), getProfiles().get(), getRemoveVolumes().get());
    }
}
